Bug 1546817 - python-tw2-core: python3-tw2-core requires both Python 2 and Python 3
Summary: python-tw2-core: python3-tw2-core requires both Python 2 and Python 3
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-tw2-core   
(Show other bugs)
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2018-02-19 16:28 UTC by Iryna Shcherbina
Modified: 2018-04-10 22:54 UTC (History)
3 users (show)

Fixed In Version: python-tw2-core-2.2.3-11.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-10 22:54:37 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Iryna Shcherbina 2018-02-19 16:28:58 UTC
The python3-tw2-core (2.2.3-9.fc28) RPM requires both Python 2 and Python 3:

$  dnf --disablerepo=* --enablerepo=rawhide repoquery --requires python3-tw2-core | grep python
/usr/bin/python2
python(abi) = 3.6
...

This happened due to recently introduced shebangs mangling [0], and you might see the warnings in the build log:

> + /usr/lib/rpm/redhat/brp-mangle-shebangs
> *** WARNING: mangling shebang in ./usr/lib/python3.6/site-packages/tw2/core/testbase/xhtmlify.py from #!/usr/bin/env python to #!/usr/bin/python2. This will become an ERROR, fix it manually!

The executable contains `#!/usr/bin/env python` shebang, which is forbidden by the guidelines and is automatically mangled to `#!/usr/bin/python2` during build. Please fix the shebang to be `#!/usr/bin/python3` explicitly [1] or remove the executable bit from the above file if not needed.

If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!

[0] https://pagure.io/packaging-committee/issue/738#comment-490366
[1] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#fixing-shebangs

Comment 1 Fedora End Of Life 2018-02-20 15:38:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Jan Beran 2018-03-15 10:45:03 UTC
Hi Ralph,

I have prepared a Pagure PR which fixes the issue:

https://src.fedoraproject.org/rpms/python-tw2-core/pull-request/3

May I ask to review and merge the PR?

Comment 3 Ralph Bean 2018-03-17 01:17:42 UTC
Merged.  Thanks Jan!

Comment 4 Fedora Update System 2018-03-17 01:45:42 UTC
python-tw2-core-2.2.3-11.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c54ab08ffa

Comment 5 Fedora Update System 2018-03-17 19:30:32 UTC
python-tw2-core-2.2.3-11.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c54ab08ffa

Comment 6 Fedora Update System 2018-04-10 22:54:37 UTC
python-tw2-core-2.2.3-11.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.